/* Estilo próprio para organizar a estrutura, sem nenhum framework. */
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body{
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    background: darkslateblue;
}

.container{
    padding: 20px;
    height: auto;
    width: auto;
    background-image: linear-gradient(blue, aqua);
    border-radius: 20px;
}

.container > h2{
    text-align: center;
    margin: 20px 20px;
    color: white;
} 

.container input[type=text]{
    flex: 1;
    font-size: 24px;
    padding: 5px;
    border-radius: 5px;
    width: 100%;
}

button img{
    width: 30px;
    height: 30px;
}

button{
    background: #5B57E9;
    padding: 15px;
    align-items: center;
    border-radius: 25px;
    border: 1px solid blue;
}

button:hover{
    cursor: pointer;
    background: #3934EA;
}

.grupo1{
    display: flex;
    align-items: center;
    gap: 15px;
    margin-top: 10px;
}

#humidityIcon{
    width: 20px;
    height: 20px;
}

.cityGroup{
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
}

#country{
    height: 50px;
    width: 50px;
}

.secondGroup{
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
    gap: 10px;
    margin-top: 20px;
}

#temperature{
    font-size: 50px;
}

.lastGroup{
    display: flex;
    justify-content: space-between;
    align-items: center;
    
}

#wind{
    flex: 1;
}

#windIcon{
    width: 30px;
    height: 30px;
    margin-right: 5px;
}

#humidityIcon{
    width: 30px;
    height: 30px;
    margin-right: 5px;
}

#weatherIcon{
    width: 50px;
    height: 50px;
}

.hidden{
    display: none;
}

small{
    color: white;
}